de.esprit.netsuite.server.permission

## Class PermissionAssignmentChangeEvent

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.common.gui.event.GenericEvent
      - - de.esprit.netsuite.netdata.event.AbstractSessionEvent
        - - de.esprit.netsuite.netdata.event.SystemEvent
          - - de.esprit.netsuite.netdata.event.SystemDataChangeEvent
            - - de.esprit.netsuite.server.permission.PermissionAssignmentChangeEvent

- All Implemented Interfaces:
    DeepCloneable, Dumpable, NetEvent, java.io.Serializable, java.lang.Cloneable

      public class PermissionAssignmentChangeEvent
      extends SystemDataChangeEvent

  This event is sent by the server to notify about a changes Group object data
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `PermissionAssignmentChangeEvent.Listener`

    - ### Nested classes/interfaces inherited from class de.esprit.netsuite.netdata.event.SystemEvent

      `SystemEvent.Source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PermissionAssignmentChangeEvent(SessionId sessionId, PermissionDefinition permDef, EspritPermissionOwner owner, EspritPermission[] permissions)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DumpString` | `toDumpString(DumpString s)` This method allows subclasses to add values to the existing DumpString of the superclass.
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.netsuite.netdata.event.SystemDataChangeEvent

      `getAction, isCreate, isDelete, isUpdate`

    - ### Methods inherited from class de.esprit.netsuite.netdata.event.AbstractSessionEvent

      `getSessionId, setWasCausedByMe, wasCausedByMe`

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PermissionAssignmentChangeEvent

          public PermissionAssignmentChangeEvent(SessionId sessionId,
                                         PermissionDefinition permDef,
                                         EspritPermissionOwner owner,
                                         EspritPermission[] permissions)

  - ### Method Detail

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `SystemDataChangeEvent`

    - #### toDumpString

          public DumpString toDumpString(DumpString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing DumpString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toDumpString` in interface `Dumpable`
      Overrides:
        `toDumpString` in class `AbstractSessionEvent`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.